Getting Started

PCAN-View is an easy to use monitoring program to supervise the data flow on a Controller Area Network (CAN). It is based on the PCAN system by PEAK-System Technik GmbH. This system's kernel is responsible for the connection of Windows applications to a CAN Bus connected to the PC in real time manner.

PCAN-View has the following features:

  • Displays every received message with ID, Data Length Code, and data bytes in a list. Additionally, the number of messages that have the same ID, and the time delay between the last two of those messages are shown.

  • Displays received Remote Request frames.

  • Arbitrary created messages can be put into a Transmit list. These messages can either be transmitted manually, automatically in fixed time intervals, or as answers to received Remote Request frames.

  • Errors that occur on the CAN Bus and the controller are shown.

See also

PCAN System Basics

Contact Information / Copyrights

Feedback to this documentation


PCAN System Basics

PCAN is a synonym for PEAK CAN APPLICATIONS and is a flexible system for planning, developing and using a CAN Bus System. Developers as well as end users are getting a helpful and powerful product.

Basis for the communication between PCs and external hardware via CAN is a series of Windows Kernel Mode Drivers (Virtual Device Drivers) e.g. PEAKCAN.SYS, PCAN_xxx.SYS. These drivers are the core of a complete CAN environment on a PC running Windows and work as interfaces between CAN software and PC-based CAN hardware. The drivers manage the entire data flow of every CAN device connected to the PC.

A user or administrator of a CAN installation gets access via the PCAN-Clients (short: Clients). Several parameters of processes can be visualized and changed with their help. The drivers allow the connection of several Clients at the same time.

Furthermore, several hardware components based on the SJA1000 CAN controller (e.g. PCAN-Dongle, PCAN-ISA card, PCAN-PCI card) are supported by a PCAN driver. So-called Nets provide the logical structure for CAN busses, which are virtually extended into the PC. On the hardware side, several Clients can be connected, too. The following figures demonstrate different possibilities of Net configurations (also realizable at the same time):

Example for possible Net configurations

Features

  • One Client may be connected to several Nets.

  • One Net provides several Clients.

  • One piece of hardware belongs to one Net.

  • One Net can include none or one piece of hardware.

  • A message from a transmitting Client is carried on to every other Client and to the external bus by the CAN hardware.

  • A message received by the CAN hardware is received by every Client. However Clients react only on those messages that pass their acceptance filter.

Important: Users of PCAN-View for PCI card, PCAN-View for CAN Dongle, PCAN-View for ISA card, and PCAN-View for USB don’t have to define and manage Nets. In these programs, the Hardware connection is established by directly selecting the installed CAN hardware at program start.

The PCAN-View for … programs are slightly restricted versions of the full featured PCAN-View, which is part of the PCAN Evaluation and the PCAN Developer package.


Contact Information / Copyrights

PCAN-View is a product of:

PEAK-System Technik GmbH

Otto-Roehm-Strasse 69

D-64293 Darmstadt

Germany

Info: | info@peak-system.com
Support: | support@peak-system.com
Web: | www.peak-system.com

© 2007 PEAK-System Technik GmbH

Windows® is a registered trademark of Microsoft Corporation in the United States and other countries.

All other product names mentioned herein may be the trademarks or registered trademarks of their respective companies. Furthermore, "™" and "®" are not mentioned in each case in this help.

Release date: September 7, 2007


Receiving CAN Messages

After PCAN-View has been successfully connected to a CAN hardware, all CAN messages on the bus that pass the message filter of the CAN controller are shown in hexadecimal notation in the Receive list.

The message filter can be configured in the dialog Connect to CAN Hardware. For details on how the message filter of a SJA 1000 CAN controller works, please refer to the Philips SJA 1000 data sheet.


Transmitting CAN Messages

CAN messages can be transmitted to other CAN nodes by creating a new transmit message in the Transmit list. See Editing the Transmit List.

After a transmit message is created, the message will be transmitted either periodically, or can be transmitted manually by the user, according to the configured transmit period.

Transmitting Messages Manually

The message that is marked with the selection border will be transmitted after the key [Space] is pressed on the keyboard. It is also possible to transmit the message with a double-click at the respective message in the Message column.

Transmitting Messages Periodically

A message will be transmitted periodically, if the transmit period is configured greater than 0 ms. To change a manual message into a periodic message, press the [Enter] key while the message is selected to display the message editing window. Then enter the desired transmit period and press OK.

Moreover, messages in the transmit list will be transmitted automatically to answer received Remote Request frames. See Answering Remote Request Messages.


Answering Remote Request Messages

When a Remote Request frames is received, PCAN-View checks, if matching messages exist in the transmit list according to the CAN identifier. If so, the found messages are transmitted as an answer to the remote request (RTR). In the Transmit list the send reason (Trigger) is marked as"RTR".

Note: RTR messages in the Transmit list will never be transmitted as an answer to received Remote Request frames.

The Data Length Code of a received remote frame is not taken to decide which data frame messages to transmit as an answer. Only the CAN identifier must match.


Editing the Transmit List

You can add CAN messages to the Transmit list that will be transmitted with the indicated data in the defined manner (e.g. periodically).

Key Shortcut / Menu Command | Description
[Ins] Transmit | New | Creates a new transmit message. The editing window for the message is shown.
[Del] Transmit | Delete | Deletes the currently selected message in the Transmit list.
[Enter] Transmit | Edit | Edits the currently selected message in the Transmit list.
[Shift][Esc] Transmit | Clear all | Clears the whole Transmit list.
[Esc] Client | Reset | Resets the message counters and the connected CAN hardware. Deletes the Receive list.


Main Window

PCAN-View shows all relevant information in one window. Besides the Toolbar in the upper area and the Status bar in the bottom, the window is divided into two main areas,

  • the Receive list

  • the Transmit list

As long as a hardware connection exists, one of the two list windows has the input focus. When messages are sent or received, navigation in the corresponding window is possible with the cursor keys [Up] and [Down]. With the help of the [Tab] key you can toggle the focus between both lists.

The list window that has the input focus can be maximized to the whole main window size by pressing the [+] key, and can be restored to the original size by pressing the [-] key.


Menu Commands

Client

Connect

[Ctrl][C]

Opens the Connect to CAN Hardware Dialog Box to connect the client to a CAN hardware.

Reset

[Esc]

Resets the CAN controller, clears the Receive list, and resets the message counters of the Transmit list.

Exit

[Alt][F4]

Quits the program.

Transmit

New

[Ins]

Opens the message editing window to create a new transmit message in the Transmit list.

Edit

[Enter]

Opens the message editing window to edit parameters of the message that is selected in the Transmit list.

Delete

[Del]

Deletes the selected CAN message from the Transmit list.

Clear all

Removes all transmit messages from the Transmit list.

Send

Sends the message that is selected in the Transmit list.

Help

PCAN-View Help

Opens the help contents.

About

Displays general program information, copyrights, etc..


Toolbar

Via the buttons on the Toolbar, the most important functions of PCAN-View can be accessed quickly. The functions of the buttons in detail:

Button | Description | Alternative
 | Quits the program. | [Alt][F4] Client | Exit
 | Resets the CAN controller, clears the Receive list, and resets the Transmit list. | [Esc] Client | Reset
 | Connects to a CAN hardware. | [Ctrl][C] Client | Connect
 | Inserts a new transmit message into the Transmit list. | [Ins] Transmit | New
 | Opens the help contents. | Help | PCAN-View Help
 | Displays general program information, copyrights, etc.. | Help | About


Receive List

The Receive list shows every message that passed the reception filter of both the CAN controller and the Client since the last reset. The messages are sorted by their CAN identifiers in ascending order. Therefore messages of high priority are shown at the top of the list.

Meaning of the Columns

Message

Identifier of the CAN message, hexadecimal format, range from 0 to 7FFh for 11 bit identifiers and from 0 to 1FFFFFFFh for 29 bit identifiers (CAN specification 2.0b)

Length

Data length code of the message (range from 0 to 8)

Data

Values of the messages' data bytes (up to 8) or the text "Remote Request", if a remote frame has been received

Period

Period of time between the reception of the last two messages with this identifier

Count

Number of messages received with this identifier (no remote frames) since last user reset (done with [ESC])


Transmit List

The Transmit list contains messages that are transmitted by PCAN-View in reaction to different events. The messages are sorted by their CAN identifier in ascending order. Identical CAN identifiers may be shown several times in the Transmit list if messages with the same identifier, but different contents, are transmitted alternately.

Meaning of the columns

Message

Identifier of the CAN message, hexadecimal format. Range from 0 to 7FFh for 11 bit identifiers and from 0 to 1FFFFFFFh for 29 bit identifiers (CAN specification 2.0b)

Length

Data length code of the message (range from 0 to 8)

Data

Values of the messages' data bytes (up to 8) or the text Remote request, if a Remote Request frame shall be sent

Period

Period of time between the last two message send events. If, at creation of the message, the period was set to 0, the text Wait is shown. In this case the message has to be sent manually or is sent automatically after a matching remote frame has been received.

Count

Number of transmitted messages (no Remote Request frames) since last user reset (ESC key)

Trigger

Reason for the last transmission of the message. Possibilities are:

  • Manual: Manual transmission by the user.

  • Time: The message is transmitted periodically.

  • RTR: A received Remote Request frame has been answered.

To create new transmit messages, see Editing the Transmit List.


Status Bar

The status bar continuously displays general information. The field on the left hand side shows the name of the CAN hardware (including the Baud rate) to which PCAN-View is connected. Two error counters are displayed in the next fields:

Overruns

If the CAN controller is receiving that many messages, so that the hardware interrupts can not be handled anymore, this field displays the number of missed messages. Possible cause could be a computer, that is too slow.

QXmtFulls

The driver is not able to send all messages to the CAN controller in time. This happens when the sending buffer of the controller is full. Possible causes can be a low Baud rate, high bus load or an error on the bus. This error occurs with delay, since the sending buffer has to be filled totally.

The next field to the right in the status bar is normally empty, but can contain additional error status indications in short form:

BUSLIGHT

The CAN controller indicates a 'light' error on the bus. (more than 96 error points according to the amount of messages that were sent or received).

BUSHEAVY

The CAN controller indicates a 'heavy' error on the bus (more than 127 error points according to the amount of messages that were sent or received). Possible causes can be a hardware, that is not connected correctly to the CAN bus or a wrongly setup Baud rate.

BUSOFF

The CAN controller has entered the 'Bus-Off' status because a heavy and continuous error is existing on the bus (255 error points have been reached). The controller has been reset by the driver. A possible cause can be a short circuit on the bus.

QOVERRUN

The internal work rate of the application is not fast enough in order to handle all messages that have been received and been written into the buffer by the driver.


Add CAN Hardware Dialog Box

Pressing the Add button in the Connect to CAN Hardware dialog box opens the Add CAN Hardware dialog box.

To add CAN hardware manually, select the hardware type from the list, select proper I/O address and Interrupt resources used by the hardware, and press OK. If the selected hardware is found using the indicated resources, it will be added to the list of installed hardware, otherwise an error message will be shown.


Connect to CAN Hardware Dialog Box

After starting PCAN-View, the Connect to CAN Hardware dialog box will be displayed. In order to work with PCAN-View, the program must first be connected to a CAN hardware, which can be chosen from the displayed hardware list.

Users of PCAN-View for CAN Dongle or PCAN-View for ISA CAN card have to configure their hardware before connecting to it. Both CAN Dongle and ISA CAN card are no Plug-and-Play devices and therefore must be added manually to the hardware list. See Add CAN Hardware Dialog Box.

Note for users of PCAN-View for PCI card: If the list is empty, make sure you have correctly installed the PCI card into your PC. After plugging in the card and booting Windows, the hardware will be detected automatically by the system. Windows then asks for a hardware driver, which is provided on the driver disk. Please see the hardware installation guide for the proper installation procedure.

Further Parameters

Baud rate

This box offers a selection of predefined Baud rates. If a custom Baud rate is required, select the entry "User" and enter the corresponding hexadecimal value for the SJA 1000 Baud rate register (Bus Timing Register BTR0 / BTR1) into the edit field to the right.

Baud rate register value

This field shows the current hexadecimal value of the SJA 1000 Baud rate register (BTR0 / BTR1). To change the value, either select one of the predefined Baud rate values or select the "User" Baud rate and enter a custom value into the field.

Message filter

The fields in this group offer a manual configuration of the SJA 1000 message filter.


Connect to Net Dialog Box

After starting PCAN-View, the Connect to Net dialog box will be displayed. In order to work with PCAN-View, the program must first be connected to a PCAN net, which can be chosen from the list.

Message Filter Parameters

Standard/Extended

These options select a filter configuration for Standard or Extended Frames (29-Bit CAN identifiers).

From/To

These fields allow an adjustment of the lowest and the highest CAN identifiers that pass the acceptance filter of the PCAN-View program. If the Standard option is selected, a maximum identifier range from 0 to 7FFh can be entered. If the Extended option is selected, identifiers from 0 to 1FFFFFFFh are permitted. The default settings adjust the filter to receive all CAN messages on the bus.


Message Editing Window

Each parameter of a CAN message can be edited in the Message editing window.

ID

This is the CAN identifier (hexadecimal format) of the message to be created.

Length

This field specifies the Data Length Code of the CAN message (0 to 8). If the message is a Remote Request frame, the number of data bytes for the requested message is defined here.

Data

The data bytes of the message in hexadecimal format.

Period

The duration of an interval (in milliseconds) for periodic message transmission. If the message is to be transmitted manually, or only as an answer to received Remote Request frames, a ‘0’ has to be entered.

Extended Frame

This option must be activated if an Extended Frame shall be created. Extended Frames are CAN messages with 29-bit CAN identifier according to CAN specification 2.0b.

Remote request

This option must be activated if a Remote Request frame shall be created. In this case the data byte fields will be hidden.